import request from "@/utils/httpRequest";
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class TenderService {
	findPageList(params) {
		return request({
			url: prefix + "/tender/list",
			method: "get",
			params: params,
		});
	}

	save(param) {
		return request({
			url: prefix + "/tender/save",
			method: "post",
			data: param,
		});
	}

	findById(id) {
		return request({
			url: prefix + "/tender/findById",
			method: "get",
			params: { id: id},
		});
	}
	remove(id) {
		return request({
			url: prefix + "/tender/remove",
			method: "get",
			params: { id: id },
		});
	}

	copyToLeader(id) {
		return request({
			url: prefix + "/tender/copyToLeader",
			method: "get",
			params: { id: id },
		});
	}

	exportFile(params) {
		return request({
			url: prefix + "/tender/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

}
